import java.awt.Color;
import javax.swing.JOptionPane;

/**
 * Asks the user for the characteristics of a square: width/height and color.
 * Has methods for returning that information.
 * 
 * @author David Mutchler.  Created March 19, 2009.
 */
public class Asker {
	private int width;
	private Color color;

	/**
	 * Asks the user for the characteristics of a square: width/height and color,
	 * and stores that information for subsequent retrieval.
	 * 
	 * @param introductaryMessage Message to display
	 *                            before asking for the square's characteristic
	 *
	 */
	public Asker(String introductaryMessage) {
		String input;
		
		JOptionPane.showMessageDialog(null, introductaryMessage);
		
		input = JOptionPane.showInputDialog("Enter the width of the square");
		this.width = Integer.parseInt(input);
		
		input = JOptionPane.showInputDialog("Enter the red in the color (0 to 255)");
		int red = Integer.parseInt(input);
		
		input = JOptionPane.showInputDialog("Enter the green in the color (0 to 255)");
		int green = Integer.parseInt(input);
		
		input = JOptionPane.showInputDialog("Enter the blue in the color (0 to 255)");
		int blue = Integer.parseInt(input);
		
		this.color = new Color(red, green, blue);
	}

	/**
	 * Returns the width/height of the square, as specified by the user.
	 *
	 * @return the width/height of the square, as specified by the user.
	 */
	public int getWidth() {
		return this.width;
	}
	
	/**
	 * Returns the color of the square, as specified by the user.
	 *
	 * @return the color of the square, as specified by the user.
	 */
	public Color getColor() {
		return this.color;
	}
}
