import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;

import javax.swing.JFrame;

/**
 * Holds two panels with squares of the size and color the user requests.
 * 
 * @author David Mutchler. Created Mar 19, 2009.
 */
public class SimpleFrame extends JFrame {
	
	/**
	 * Size of the frame.
	 */
	public final static Dimension FRAME_SIZE = new Dimension(800, 600);

	/**
	 * Constructs a JFrame, asks the user for the characteristics of two squares,
	 * and adds two JPanels that display those squares.
	 */
	public SimpleFrame() {
		Asker asker;
		
		this.setSize(SimpleFrame.FRAME_SIZE);
		this.setTitle("A JFrame with 2 JPanels, each displaying a square");
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setLayout(new FlowLayout());
		
		asker = new Asker("First you will enter characteristics of one square");
		int width1 = asker.getWidth();
		Color color1 = asker.getColor();
		
		asker = new Asker("Next you will enter characteristics of another square");
		int width2 = asker.getWidth();
		Color color2 = asker.getColor();
	
		this.add(new SquarePanel(width1, color1, Color.black));
		this.add(new SquarePanel(width2, color2, Color.white));
	}
}
